Bug 239071

Summary: mail/neomutt: talloc conflicts with talloc1
Product: Ports & Packages Reporter: Edward Tomasz Napierala <trasz>
Component: Individual Port(s)Assignee: Baptiste Daroussin <bapt>
Status: New ---    
Severity: Affects Only Me CC: felix, pilot513
Priority: --- Flags: bugzilla: maintainer-feedback? (bapt)
Version: Latest   
Hardware: Any   
OS: Any   

Description Edward Tomasz Napierala freebsd_committer 2019-07-09 18:54:42 UTC
Trying to install neomutt results in this:

trasz@v2:~ % doas pkg install neomutt
Updating FreeBSD repository catalogue...
FreeBSD repository is up to date.
All repositories are up to date.
The following 6 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        neomutt: 20180716_4
        talloc: 2.2.0
        notmuch: 0.29.1
        gmime30: 3.2.0_1
        xapian-core: 1.4.11,1
        tokyocabinet: 1.4.48

Number of packages to be installed: 6

The process will require 24 MiB more space.
5 MiB to be downloaded.

Proceed with this action? [y/N]: y
[1/6] Fetching neomutt-20180716_4.txz: 100%    1 MiB   1.4MB/s    00:01    
[2/6] Fetching talloc-2.2.0.txz: 100%   48 KiB  49.4kB/s    00:01    
[3/6] Fetching notmuch-0.29.1.txz: 100%  192 KiB  98.3kB/s    00:02    
[4/6] Fetching gmime30-3.2.0_1.txz: 100%  366 KiB 187.3kB/s    00:02    
[5/6] Fetching xapian-core-1.4.11,1.txz: 100%    2 MiB 378.3kB/s    00:05    
[6/6] Fetching tokyocabinet-1.4.48.txz: 100%  998 KiB 255.5kB/s    00:04    
Checking integrity... done (1 conflicting)
  - talloc-2.2.0 conflicts with talloc1-2.1.14 on /usr/local/include/talloc.h
Checking integrity... done (0 conflicting)
Conflicts with the existing packages have been found.
One more solver iteration is needed to resolve them.
The following 8 package(s) will be affected (of 0 checked):

New packages to be INSTALLED:
        talloc: 2.2.0
        gmime30: 3.2.0_1
        xapian-core: 1.4.11,1
        notmuch: 0.29.1
        tokyocabinet: 1.4.48
        neomutt: 20180716_4

Number of packages to be installed: 6

The process will require 24 MiB more space.

Proceed with this action? [y/N]: y
Fetching talloc1-2.1.14.txz: 100%   48 KiB  48.7kB/s    00:01    
[1/8] Deinstalling talloc1-2.1.14...
[1/8] Deleting files for talloc1-2.1.14: 100%
[2/8] Installing talloc-2.2.0...
[2/8] Extracting talloc-2.2.0: 100%
[3/8] Installing gmime30-3.2.0_1...
[3/8] Extracting gmime30-3.2.0_1: 100%
[4/8] Installing xapian-core-1.4.11,1...
[4/8] Extracting xapian-core-1.4.11,1: 100%
[5/8] Installing notmuch-0.29.1...
[5/8] Extracting notmuch-0.29.1: 100%
[6/8] Installing tokyocabinet-1.4.48...
[6/8] Extracting tokyocabinet-1.4.48: 100%
[6/8] Installing talloc1-2.1.14...
pkg: talloc1-2.1.14 conflicts with talloc-2.2.0 (installs files into the same place).  Problematic file: /usr/local/include/talloc.h
Comment 1 pilot513 2019-07-31 11:58:40 UTC
2019-07-31
When updating databases/ldb:

pkg-static: talloc1-2.1.14 conflicts with talloc-2.2.0 (installs files into the same place).  Problematic file: /usr/local/include/talloc.h